Inhoud

# Functie HasUnoInterfaces

Test of een BASIC Uno-object bepaalde Uno-interfaces ondersteunt.

Geeft Waar terug als alle benoemde Uno-interfaces worden ondersteund, anders wordt Onwaar teruggegeven.

### Syntaxis:

HasUnoInterfaces(oTest, Uno-Interface-Naam 1 [, Uno-Interface-Naam 2, ...])

### Retourtype:

Bool

### Parameters:

Naam | Type | Beschrijving
--- | --- | ---
oTest | Object | het BASIC Uno-object dat u wilt testen.
Uno-Interface-Naam 1, Uno-Interface-Naam 2, ... | String | Uno-interfacena(a)m(en)

### Voorbeeld:

    Sub HasInterface
        Dim bHas as Boolean
        Dim oSheet as Object
        oSheet = ThisComponent.Sheets(0)
        bHas = HasUnoInterfaces( oSheet, "com.sun.star.beans.XIntrospection" )
        Print bHas ' = True
    End Sub

Verwante onderwerpen

UNO Objecten, Functies en Services